import { ReactElement } from "react";
import { Address } from "./core/address/Address";
import { Configuration } from "./configuration/Configuration";
import { DeepPartial } from "./shared/DeepPartial";
export interface DawaAutocompleteAddressInputProps {
    addressObserver: (address: Address | null) => void;
    configurationOverride?: ConfigurationOverride;
}
export type ConfigurationOverride = DeepPartial<Configuration>;
declare function DawaAutocompleteAddressInput({ addressObserver, configurationOverride }: DawaAutocompleteAddressInputProps): ReactElement;
export default DawaAutocompleteAddressInput;
