export function createAddress(id, type, streetName, houseNumber, zipCode, zipCodeName, floor, door, streetCode, addressingStreetName, supplementaryCityName, municipalityCode, status, darStatus, entranceAddressId, latitude, longitude, href) {
    return {
        id: id,
        type: type,
        streetName: streetName,
        houseNumber: houseNumber,
        zipCode: zipCode,
        zipCodeName: zipCodeName,
        floor: floor !== null && floor !== void 0 ? floor : null,
        door: door !== null && door !== void 0 ? door : null,
        streetCode: streetCode !== null && streetCode !== void 0 ? streetCode : null,
        addressingStreetName: addressingStreetName !== null && addressingStreetName !== void 0 ? addressingStreetName : null,
        supplementaryCityName: supplementaryCityName !== null && supplementaryCityName !== void 0 ? supplementaryCityName : null,
        municipalityCode: municipalityCode !== null && municipalityCode !== void 0 ? municipalityCode : null,
        status: status !== null && status !== void 0 ? status : null,
        darStatus: darStatus !== null && darStatus !== void 0 ? darStatus : null,
        entranceAddressId: entranceAddressId !== null && entranceAddressId !== void 0 ? entranceAddressId : null,
        location: (!!latitude && !!longitude) ? { latitude: latitude, longitude: longitude } : null,
        href: href !== null && href !== void 0 ? href : null
    };
}
