import React from "react";
export interface KeyboardNavigation {
    readonly optionsIndex: number;
    readonly isNavigating: boolean;
    handleKeyDown(e: React.KeyboardEvent<HTMLInputElement>): Promise<void>;
    stop(): void;
}
declare function useKeyboardNavigation(length: number, confirm: (index: number) => Promise<void>, change: (index: number) => void): {
    optionsIndex: number;
    isNavigating: boolean;
    handleKeyDown: (e: React.KeyboardEvent<HTMLInputElement>) => Promise<void>;
    stop: () => void;
};
export default useKeyboardNavigation;
