import { Address } from "../core/address/Address";
import { AutocompleteAddressRequestDto } from "./dawa/AutocompleteAddressRequestDto";
import { ResultingCaretTextQueryNode } from "../core/text-node-search/types";
export interface ToReqDtoMapper {
    mapNodeToReqDto(node: ResultingCaretTextQueryNode<Address>): AutocompleteAddressRequestDto;
    mapCaretTextToReqDto(value: string, caretIndexInValue: number): AutocompleteAddressRequestDto;
}
export declare function createToReqDtoMapper(): ToReqDtoMapper;
