import configFile from "../../dawa-autocomplete-react.config.json";
export let configuration = null;
export function configure(override) {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, _10;
    configuration = {
        placeholder: (_a = override === null || override === void 0 ? void 0 : override.placeholder) !== null && _a !== void 0 ? _a : configFile.placeholder,
        isAutoFocus: (_b = override === null || override === void 0 ? void 0 : override.isAutoFocus) !== null && _b !== void 0 ? _b : configFile.isAutofocus,
        zipCodesSelection: (_c = override === null || override === void 0 ? void 0 : override.zipCodesSelection) !== null && _c !== void 0 ? _c : configFile.zipCodesSelection,
        municipalityCodesSelection: (_d = override === null || override === void 0 ? void 0 : override.municipalityCodesSelection) !== null && _d !== void 0 ? _d : configFile.municipalityCodesSelection,
        errorMessageOnApiClientFailure: (_e = override === null || override === void 0 ? void 0 : override.errorMessageOnApiClientFailure) !== null && _e !== void 0 ? _e : configFile.errorMessageOnApiClientFailure,
        loadingMessageOnApiClientRequest: (_f = override === null || override === void 0 ? void 0 : override.loadingMessageOnApiClientRequest) !== null && _f !== void 0 ? _f : configFile.loadingMessageOnApiClientRequest,
        apiRequestTypingDebounceMilliseconds: configFile.apiRequestTypingDebounceMilliseconds,
        apiRequestLoadingIndicatorDebounceMilliseconds: (_g = override === null || override === void 0 ? void 0 : override.apiRequestLoadingIndicatorDebounceMilliseconds) !== null && _g !== void 0 ? _g : configFile.apiRequestLoadingIndicatorDebounceMilliseconds,
        autocompleteAddressApiClient: {
            host: (_j = (_h = override === null || override === void 0 ? void 0 : override.autocompleteAddressApiClient) === null || _h === void 0 ? void 0 : _h.host) !== null && _j !== void 0 ? _j : configFile.autocompleteAddressApiHost,
            uri: (_l = (_k = override === null || override === void 0 ? void 0 : override.autocompleteAddressApiClient) === null || _k === void 0 ? void 0 : _k.uri) !== null && _l !== void 0 ? _l : configFile.autocompleteAddressApiUri,
            maxResultCount: (_o = (_m = override === null || override === void 0 ? void 0 : override.autocompleteAddressApiClient) === null || _m === void 0 ? void 0 : _m.maxResultCount) !== null && _o !== void 0 ? _o : configFile.autocompleteAddressApiMaxResultCount
        },
        styling: {
            textNodeSearchInput: {
                divElementClassNames: configFile.divElementClassNames.concat((_r = (_q = (_p = override === null || override === void 0 ? void 0 : override.styling) === null || _p === void 0 ? void 0 : _p.textNodeSearchInput) === null || _q === void 0 ? void 0 : _q.divElementClassNames) !== null && _r !== void 0 ? _r : configFile.bootstrapDivElementClassNames),
                inputElementClassNames: configFile.inputElementClassNames.concat((_u = (_t = (_s = override === null || override === void 0 ? void 0 : override.styling) === null || _s === void 0 ? void 0 : _s.textNodeSearchInput) === null || _t === void 0 ? void 0 : _t.inputElementClassNames) !== null && _u !== void 0 ? _u : configFile.bootstrapInputElementClassNames),
                inputElementValidClassNames: configFile.inputElementValidClassNames.concat((_x = (_w = (_v = override === null || override === void 0 ? void 0 : override.styling) === null || _v === void 0 ? void 0 : _v.textNodeSearchInput) === null || _w === void 0 ? void 0 : _w.inputElementValidClassNames) !== null && _x !== void 0 ? _x : configFile.bootstrapInputElementValidClassNames)
            },
            textNodeSearchInputDropdown: {
                ulElementClassNames: configFile.ulElementClassNames.concat((_0 = (_z = (_y = override === null || override === void 0 ? void 0 : override.styling) === null || _y === void 0 ? void 0 : _y.textNodeSearchInputDropdown) === null || _z === void 0 ? void 0 : _z.ulElementClassNames) !== null && _0 !== void 0 ? _0 : configFile.bootstrapUlElementClassNames),
                liElementsClassNames: configFile.liElementsClassNames.concat((_3 = (_2 = (_1 = override === null || override === void 0 ? void 0 : override.styling) === null || _1 === void 0 ? void 0 : _1.textNodeSearchInputDropdown) === null || _2 === void 0 ? void 0 : _2.liElementsClassNames) !== null && _3 !== void 0 ? _3 : configFile.bootstrapLiElementsClassNames),
                liElementsActiveClassNames: configFile.liElementsActiveClassNames.concat((_6 = (_5 = (_4 = override === null || override === void 0 ? void 0 : override.styling) === null || _4 === void 0 ? void 0 : _4.textNodeSearchInputDropdown) === null || _5 === void 0 ? void 0 : _5.liElementsActiveClassNames) !== null && _6 !== void 0 ? _6 : configFile.bootstrapLiElementsActiveClassNames),
                liElementsMouseOverClassNames: configFile.liElementsMouseOverClassNames.concat((_9 = (_8 = (_7 = override === null || override === void 0 ? void 0 : override.styling) === null || _7 === void 0 ? void 0 : _7.textNodeSearchInputDropdown) === null || _8 === void 0 ? void 0 : _8.liElementsMouseOverClassNames) !== null && _9 !== void 0 ? _9 : configFile.bootstrapLiElementsMouseOverClassNames)
            }
        },
        ariaLabel: (_10 = override === null || override === void 0 ? void 0 : override.ariaLabel) !== null && _10 !== void 0 ? _10 : configFile.ariaLabel
    };
}
