import { MutableRefObject } from "react";
import { CaretTextQueryNode } from "../types";
export interface InputElementValue {
    readonly inputElementValue: string;
    setInputByNode({ node, isKeyboardNavigation }: {
        node: CaretTextQueryNode | null;
        isKeyboardNavigation?: boolean;
    }): void;
    setInputByValue(value: string, caretIndex: number): void;
}
declare function useInputElementValue(inputElementRef: MutableRefObject<HTMLInputElement | null>): InputElementValue;
export default useInputElementValue;
